Retrieves all the email notification
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
email_notification| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| db_table_id |
db_table_id |
globally unique identifier | |
| id_in_table |
id_in_table |
globally unique identifier | |
| date_sent |
utc date time email sent. |
date | |
| type |
type, like CONTRACT_RENEW , IMPORT_DONE , JOB_APPROVAL , JOB_PLANNING , ORDER , PURCHASE_ORDER , TASK |
string | |
| subject |
subject of email |
string | |
| message |
email message in html format |
string |
Response Formats
application/json, text/json
Sample:
{
"id": "80f43097-1ab4-4ef0-8c58-88d0863824e6",
"db_table_id": "f7d76f75-d5c0-4bf1-9e37-36ee89ee08e3",
"id_in_table": "437f46c8-356a-44dd-8d06-0e08a40cc871",
"date_sent": "2026-11-07T10:46:43.6924847+00:00",
"type": "sample string 5",
"subject": "sample string 6",
"message": "sample string 7"
}